/*
	Main stylesheet for the site, checkout _config.scss for colours/sizes etc as well as the retreival/access
	functions for same
	-Adam Hartwell 2015
*/
@import url("http://fonts.googleapis.com/css?family=Source+Sans+Pro:300,900");
@import url("font-awesome.min.css");
/*** Config variables ***/
/* Size of elements */
/* Colour Palette */
/*** Retrieval functions for colours/sizes ***/
/* Essentially allows the above arrays to be associative and an arbitary number of levels deep <3 */
html, body {
  margin: 0;
  padding: 0;
  width: 100%;
  height: 100%;
  font-family: 'Source Sans Pro', sans-serif;
  font-size: 15pt;
  font-weight: 300 !important;
  line-height: 1.75em;
  color: #fff;
  background: #000;
  display: table;
  /* Prevent selection when clicking */
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  -o-user-select: none;
  user-select: none; }

.icon {
  text-decoration: none;
  position: relative;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  font-family: FontAwesome;
  font-style: normal;
  font-weight: normal;
  text-transform: none !important;
  animation: fadein 3s; }
  .icon > .label {
    display: none; }

@keyframes fadein {
  from {
    opacity: 0; }
  to {
    opacity: 1; } }

.selectable {
  -webkit-user-select: text;
  -moz-user-select: text;
  -ms-user-select: text;
  -o-user-select: text;
  user-select: text; }

#background {
  background: url(../img/bg.jpg) repeat;
  position: fixed;
  min-height: 100%;
  min-width: 100%;
  left: 0;
  top: 0;
  opacity: 0.2; }

#main {
  position: relative;
  min-width: 705px;
  left: 0;
  top: 0;
  text-align: center;
  opacity: 1;
  display: table-cell;
  vertical-align: middle; }

#centerTable {
  border-collapse: collapse;
  margin: 0 auto; }
  #centerTable td {
    padding: 0; }
  #centerTable #slidetd {
    position: relative; }

#nodulator {
  cursor: crosshair; }

#infoSlidePanel {
  position: absolute;
  width: 300px;
  height: 220px;
  border: 0;
  display: none; }
  #infoSlidePanel a {
    text-decoration: none;
    color: #3E6141;
    font-weight: bold; }
  #infoSlidePanel a:hover {
    text-decoration: underline; }
  #infoSlidePanel .info {
    padding: 4px;
    font-size: 12pt;
    width: 100%;
    height: 100%;
    background: #98bf21;
    line-height: 16pt; }

#tabSlidePanel {
  position: absolute;
  width: 180px;
  height: 50px;
  border: 0; }
  #tabSlidePanel .tab {
    cursor: pointer;
    width: 100%;
    height: 100%;
    background: #98bf21;
    line-height: 50px; }

#contactCell {
  width: 853px;
  font-size: 13px; }
  #contactCell a {
    text-decoration: none;
    color: #3E6141;
    font-weight: bold; }

#messageOverlay {
  visibility: hidden;
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  text-align: center;
  z-index: 1000; }
  #messageOverlay div {
    width: 300px;
    background-color: rgba(120, 120, 120, 0.7);
    padding: 15px;
    margin: 400px auto auto auto; }
  #messageOverlay a {
    font-weight: bold;
    font-size: 22px; }
  #messageOverlay a:hover {
    text-decoration: none;
    background-color: #dddddd; }
  #messageOverlay a:visited {
    color: #3E6141; }

#doodleBox {
  float: left;
  position: relative;
  cursor: crosshair;
  background-color: #ffffff;
  /* To prevent rubbing out to transparency */ }

#brushSelection {
  /* Don't use borders - messes with canvas offsets */
  float: left; }

#header {
  display: inline-block;
  min-height: 768px; }
  #header h1 {
    font-size: 4.35em;
    line-height: 0.5em; }
  #header p {
    font-size: 1.25em;
    margin: 0.55em 0 0.05em 0;
    opacity: 0.85; }
  #header nav {
    margin: 1.5em 0 1em 0; }
    #header nav ul {
      padding: 0; }
      #header nav ul li {
        position: relative;
        display: inline-block;
        height: 6em;
        width: 6em;
        line-height: 6em; }
    #header nav a {
      border: 0;
      display: inline-block;
      color: #fff;
      -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
      -webkit-touch-callout: none; }
      #header nav a:before {
        transition: 0.15s ease;
        border-radius: 100%;
        border: solid 2px #fff;
        display: block;
        position: relative;
        font-size: 1.75em;
        height: 2.5em;
        width: 2.5em;
        line-height: 2.5em;
        text-align: center;
        top: 0; }
      #header nav a:hover {
        font-size: 1.1em; }
        #header nav a:hover:before {
          background-color: rgba(255, 255, 255, 0.15);
          color: #fff; }
      #header nav a:active {
        font-size: 0.95em; }
        #header nav a:active:before {
          background-color: rgba(255, 255, 255, 0.5);
          color: #fff; }

#footer {
  position: absolute;
  left: 0;
  bottom: 0;
  height: 50px;
  width: 100%;
  margin-top: -50px;
  line-height: 50px; }

@media only screen and (max-device-width: 480px) {
  body {
    min-width: 320px;
    font-size: 11pt; }
  #header {
    min-height: unset; }
    #header h1 {
      font-size: 2.5em; }
    #header p {
      font-size: 1em; }
  #main {
    min-width: unset; } }
